OpenVDB 11.0.0

Loading...
Searching...
No Matches
Functions
openvdb::v11_0::tools::composite Namespace Reference

## Functions
template<typename T >
const std::enable_if<!VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const std::enable_if<!VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
const std::enable_if< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const std::enable_if< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
std::enable_if<!std::is_integral< T >::value, T >::type | divide (const T &a, const T &b)
template<typename T >
std::enable_if< std::is_integral< T >::value, T >::type | divide (const T &a, const T &b)
bool | divide (bool a, bool)

## Function Documentation

## ◆ divide() [1/3]

bool divide | ( | bool | a,
|  | bool |
| ) |  |
| inline

## ◆ divide() [2/3]

template<typename T >

std::enable_if<!std::is_integral< T >::value, T >::type divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ divide() [3/3]

template<typename T >

std::enable_if< std::is_integral< T >::value, T >::type divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ max() [1/2]

template<typename T >

const std::enable_if<!VecTraits< T >::IsVec, T >::type & max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ max() [2/2]

template<typename T >

const std::enable_if< VecTraits< T >::IsVec, T >::type & max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [1/2]

template<typename T >

const std::enable_if<!VecTraits< T >::IsVec, T >::type & min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [2/2]

template<typename T >

const std::enable_if< VecTraits< T >::IsVec, T >::type & min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline